
Ruby - Bug #16279

Backport 463092b8

10/25/2019 03:32 AM - twk3 (DJ Mountney)

Status: Closed   

Priority: Normal   

Assignee: hsbt (Hiroshi SHIBATA)   

Target version:    

ruby -v:  Backport: 2.5: DONE, 2.6: DONE

Description

Please backport the rake 12.3.3 update into the stable releases

rev: 463092b84da7933f307cc8747f948f68ef19f5fd

This patch resolves a public disclosed minor security issue: https://hackerone.com/reports/651518

And causes the current version of ruby to fail security scanning tests.

Associated revisions

Revision 70d885617c01ad04c87309edb39a461d371099a0 - 12/15/2019 07:20 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67833 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 70d885617c01ad04c87309edb39a461d371099a0 - 12/15/2019 07:20 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67833 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 70d88561 - 12/15/2019 07:20 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67833 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bc7d6e66ce11cf8d02c72a1df2f7c47d238936b6 - 03/30/2020 09:26 PM - U.Nakamura 

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67862 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bc7d6e66ce11cf8d02c72a1df2f7c47d238936b6 - 03/30/2020 09:26 PM - U.Nakamura 

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67862 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bc7d6e66 - 03/30/2020 09:26 PM - U.Nakamura 

merge revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd: [Backport #16279]

    Update rake-12.3.3.

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67862 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
History

#1 - 10/25/2019 03:43 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed

- Assignee set to hsbt (Hiroshi SHIBATA)

- Backport changed from 2.5: UNKNOWN, 2.6: UNKNOWN to 2.5: REQUIRED, 2.6: REQUIRED

#2 - 12/15/2019 07:21 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.5: REQUIRED, 2.6: REQUIRED to 2.5: REQUIRED, 2.6: DONE

ruby_2_6 r67833 merged revision(s) 463092b84da7933f307cc8747f948f68ef19f5fd.

#3 - 03/30/2020 09:27 PM - usa (Usaku NAKAMURA)

- Backport changed from 2.5: REQUIRED, 2.6: DONE to 2.5: DONE, 2.6: DONE
